## net.sf.saxon.om
Interface SiblingCountingNode

All Superinterfaces:
  Item, NodeInfo, javax.xml.transform.Source

All Known Implementing Classes:
  NodeWrapper, NodeWrapper

public interface SiblingCountingNode
extends NodeInfo

Interface that extends NodeInfo by providing a method to get the position of a node relative to its siblings.

Field Summary

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, LOCAL_NAMESPACES, NO_NAMESPACES`

Method Summary
`int` `getSiblingPosition()` Get the index position of this node among its siblings (starting from 0)

Methods inherited from interface net.sf.saxon.om.NodeInfo
`compareOrder, copy, generateId, getAttributeValue, getBaseURI, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeKind, getParent, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, isSameNodeInfo, iterateAxis, iterateAxis, outputNamespaceNodes`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getTypedValue`

Method Detail

### getSiblingPosition

    public int getSiblingPosition()

  Get the index position of this node among its siblings (starting from 0)

  Returns:
    0 for the first child, 1 for the second child, etc.